
printf('\n\n\nTemperaturfunktion *.bin plotten\n');
printf('heinz@gfai.de\n\n');
printf('vierer = Matrix aus vier Spalten\n\n');

      clear;
      wrfile=xgetfile('*.bin',title='Temperatur Kennlinien-File doppelklicken');
      wd=getcwd(); 
      printf('Current working directory: \n%s\n\n',wd);

      // who_user;  // Anzeige der Variablen

      load(wrfile); // Fileinhalt ist nur unter dem Originalnamen abrufbar, hier: vierer
      
      directory=dirname(wrfile);  // directory
      filename=basename(wrfile);  // Filename

      printf('Input-File: \n%s.bin\n\n',filename);

      anz=size(vierer); reih=anz(1,1); spalt=anz(1,2);
      printf('Read-size: vierer in %i Reihen mit %i Spalten\n',reih,spalt);
 
     printf('\n\nvierer:\n 1.Spalte: Temperatur in Kelvin \n 2.Spalte: Werte e1 \n 3.Spalte: Werte e2 \n 4.Spalte: Quotient e1/e2\n\n');
      typ=typeof(vierer); 
      printf('Read-type %s\n',typ);
      
      siz=size(vierer); siz=siz(:,1); 
      
      // Spielereien
      nn=siz;        // 
      testma=vierer;     // vierer wird als Vektor gelesen z.B. in der Form vierer(1:3) 
                         // d.h. vierer von 1 bis 3     
      grad=testma(1:nn);      // testma von 1 bis nn (Tabellenlnge z.B. 300)
      e1=testma(nn+1:2*nn);   // testma von nn+1 bis 2*nn
      e2=testma(2*nn+1:3*nn);
      ratio=testma(3*nn+1:4*nn);
      kelvin=0;
      kelvin=[grad e1 e2 ratio];
      
      
      // Kommentar
      printf('\nString-Matrix mit %ix4 Werten wurde als vierer(grad,e1,e2,ratio) gelesen\n\n',nn);
      kelvin;
      printf('Tests: \n-->vierer\n-->size(vierer)\n-->typeof(vierer)\n\n-->');
     
      scf(0); clf(0); // Setze auf Fenster #0
      
      plot2d(ratio,grad,style=color('red'));   // Testplot
      title='Temperaturfunktion:   '+filename+'.bin @ www.gfai.de/~heinz';
      xaxe='Q(e1/e2)';
      yaxe='T in Kelvin';
      
      xtitle(title,xaxe,yaxe);
      xselect();
      xs2gif(0,filename+'.gif');  // Plot vom Fenster
      
return;     
